﻿&Вместо("УстановитьРеквизитыЦенообразования")
Процедура исперп_УстановитьРеквизитыЦенообразования(ВидыНоменклатуры, ПараметрыУстановки)
	
	Если НЕ исперп_Правка
		.Включена(исперп_Идентификатор.СправочникВидыНоменклатуры_УстановитьРеквизитыЦенообразования())
		Тогда	
		ПродолжитьВызов(ВидыНоменклатуры, ПараметрыУстановки);	
		Возврат;
	КонецЕсли;
	
	Для Каждого ВидНоменклатуры Из ВидыНоменклатуры Цикл
		
		ВидНоменклатурыОбъект = Неопределено;
		// Установка настройки ценообразования по характеристикам номенклатуры	
		Если Не ЗапретитьИспользованияХарактеристикДляЦенообразования(ВидНоменклатуры) И Не ПараметрыУстановки.НастройкиКлючаЦенПоХарактеристике = Неопределено Тогда
			
			ВидНоменклатурыОбъект = ВидНоменклатуры.ПолучитьОбъект();//СправочникОбъект.ВидыНоменклатуры
			ВидНоменклатурыОбъект.НастройкиКлючаЦенПоХарактеристике = ПараметрыУстановки.НастройкиКлючаЦенПоХарактеристике;
			
			// обработать табличные части ценообразования
			ЗаполнитьРеквизитыДляЦенообразования(ВидНоменклатурыОбъект, "ХарактеристикиНоменклатуры");
			
		КонецЕсли;
		
		// Установка настройки ценообразования по сериям номенклатуры
		Если Не ЗапретитьИспользованияСерииДляЦенообразования(ВидНоменклатуры) И Не ПараметрыУстановки.НастройкиКлючаЦенПоСерии = Неопределено Тогда
			
			Если ВидНоменклатурыОбъект = Неопределено Тогда
				ВидНоменклатурыОбъект = ВидНоменклатуры.ПолучитьОбъект();//СправочникОбъект.ВидыНоменклатуры
			КонецЕсли;
			
			ВидНоменклатурыОбъект.НастройкиКлючаЦенПоСерии = ПараметрыУстановки.НастройкиКлючаЦенПоСерии;
				
			// обработать табличные части ценообразования
			ЗаполнитьРеквизитыДляЦенообразования(ВидНоменклатурыОбъект, "СерииНоменклатуры");
			
		КонецЕсли;
		
		Если Не ПараметрыУстановки.НастройкиКлючаЦенПоУпаковке = Неопределено Тогда
			
			Если ВидНоменклатурыОбъект = Неопределено Тогда
				ВидНоменклатурыОбъект = ВидНоменклатуры.ПолучитьОбъект();//СправочникОбъект.ВидыНоменклатуры
			КонецЕсли;
			
			ВидНоменклатурыОбъект.НастройкиКлючаЦенПоУпаковке = ПараметрыУстановки.НастройкиКлючаЦенПоУпаковке;
			
		КонецЕсли;
		
		Если Не ВидНоменклатурыОбъект = Неопределено Тогда
			Попытка
				ВидНоменклатурыОбъект.Записать();
			Исключение
				// ::: +++ Добавлена запись в ЖР и вывод соообщения пользователю
				ТекстСообщения = "Ошибка записи вида номенклатуры " + Строка(ВидНоменклатурыОбъект) + ": " + Символы.ПС
				+ ПодробноеПредставлениеОшибки(ИнформацияОбОшибке());
				ЗаписьЖурналаРегистрации("исперп_Ценообразование2_5.УстановитьРеквизитыЦенообразования"
				, УровеньЖурналаРегистрации.Ошибка
				, Метаданные.Справочники.ВидыНоменклатуры
				, 
				, ТекстСообщения);
				ОбщегоНазначенияКлиентСервер.СообщитьПользователю(ТекстСообщения);
			КонецПопытки;
		КонецЕсли;
		
	КонецЦикла;
	
КонецПроцедуры
